/* ------------------------------------------------------------ *\
	Cart
\* ------------------------------------------------------------ */

.cart {
	&__content {
		position: absolute;
		top: 100%;
		right: -15px;
		z-index: 20;
		background: #fff;
		width: 392px;
		border: 1px solid #d5d5d5;
		transform: translateY(10px);
		visibility: hidden;
		opacity: 0;
		transition: visibility .4s, opacity .4s, transform .4s;
	}

	&__content-head {
		padding: 14px 32px 14px 28px;
		border-bottom: 1px solid rgba(112, 112, 112, 0.18);

		p {
			letter-spacing: 0.04em;
		}
	}

	&__content-body {
		height: 646px;
		padding: 21px 28px 21px 17px;
	}

	&__content-foot {
		margin: 0 -1px -1px;
		background-color: #000000;
		border: 1px solid #000000;
		color: #fff;

		a {
			display: block;
			padding: 17px 20px;
			background: #fff;
			color: #000;
			font-size: 12px;
			font-weight: 700;
			text-transform: uppercase;
			text-align: center;
			letter-spacing: 0.2em;
			transition: background .4s, color .4s;

			&:hover {
				background: #000;
				color: #fff;
			}
		}
	}

	&__content-foot-inner {
		padding: 18px 36px 18px 28px;

		h6 {
			margin-bottom: 2px;
			font-size: 13px;
			font-weight: 400;
			text-transform: uppercase;
			letter-spacing: 0.06em;
		}

		p {
			margin-bottom: 0;
			letter-spacing: 0.04em;
		}
	}

	&__btn {
		position: relative;
		padding: 0 2px;

		&:after {
			content: '';
			height: 3px;
			width: 0;
			display: inline-block;
			position: absolute;
			bottom: 0;
			left: 50%;
			transform: translateX(-50%);
			transition: width .4s;
			background: #000000;
		}
	}

	.row {
		margin: 0 -5px;
	}

	[class^='col-'] {
		padding: 0 5px;
	}

	.col-2 {
		text-align: center;
	}

	.col-center {
		text-align: center;
	}

	@media(min-width: 1025px) {
		&:hover {
			.cart__content {
				visibility: visible;
				opacity: 1;
				transform: translateY(0);
			}

			.cart__btn {
				&:after {
					width: 100%;
				}
			}
		}
	}

	@media #{$mobile} {
		.cart__content {
			z-index: 20;
			width: auto;
			right: -10px;
			left: -10px;
			border-left: 0;
			border-right: 0;

			&.visible {
				visibility: visible;
				opacity: 1;
				transform: translateY(0);
			}
		}

		.cart__content-head  {
			position: relative;
			padding: 16px 32px 12px 25px;
		}

		.cart__content-body  {
			height: auto;
			padding: 19px 22px 16px 24px;
		}

		.cart__content-foot {
			margin: 0;
		}

		.cart__content-foot-inner {
		    padding: 18px 31px 18px 42px;

		    h6 {
		    	font-size: 12px;
		    }

		    .col-6 {
		    	p {
		    		font-size: 18px;
		    	}
		    }
		}

		.cart__btn-close {
			position: absolute;
			top: 17px;
			right: 18px;
			display: inline-block;
			width: 14px;
			height: 14px;

			span {
				display: inline-block;
				width: 15px;
				height: 1px;
				background: #000;
				transform: rotate(-45deg);
				position: absolute;
				top: 6px;
				left: 0;
				transition: background .4s;

				&:nth-child(2) {
					transform: rotate(45deg);
				}
			}
		}
	}
}
